package io.renren.modules.levelManage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 用于存储层级直接，具体数据的关系
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-04-08 17:49:50
 */
@Data
@TableName("level_relation")
public class LevelRelationEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId(type = IdType.AUTO)
	private Long id;
	/**
	 * 父层级id
	 */
	private Long parentTableId;
	/**
	 * 父层级具体数据id
	 */
	private Long parentRowId;
	/**
	 * 子层级id
	 */
	private Long sonTableId;
	/**
	 * 子层级具体数据id
	 */
	private Long sonRowId;

}
