package io.renren.modules.levelManage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2022-03-30 16:57:16
 */
@Data
@TableName("level_table")
public class LevelTableEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 记录列的id
	 */
	@TableId(type = IdType.AUTO)
	private Long id;
	/**
	 * 对应层级的id
	 */
	private Long levelId;
	/**
	 * 字段名称
	 */
	private String name;
	/**
	 * 字段类型
	 */
	private String type;
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "Asia/Shanghai")
	private Date createDate;
	/**
	 * 创建者
	 */
	private Long createUser;
	/**
	 * 创建时的备注
	 */
	private String remark;
}
