package io.renren.modules.levelManage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 * 
 * @author Noth
 * @email sunlightcs@gmail.com
 * @date 2022-09-17 17:20:39
 */
@Data
@TableName("project_attributes")
public class ProjectAttributesEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId(type = IdType.AUTO)
	private Long id;
	/**
	 * 属性名称
	 */
	private String name;
	/**
	 * 属性类型
	 */
	private String type;
	/**
	 * 属性中文名称
	 */
	private String remark;


}
